curl --request GET \
--url https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domainName": "example.com",
"emailBox": "admin",
"emailTo": "webmaster@example.com"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}Get Email Forwarding
Retrieves the details of a specific email forwarding entry.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the domain to list email forwarded box for.
EmailBox is which email box to retrieve.
Response
A successful response.
EmailForwarding contains all the information for an email forwarding entry.
DomainName is the domain part of the email address to forward.
1"example.com"
EmailBox is the user portion of the email address to forward.
1"admin"
EmailTo is the entire email address to forward email to.
"webmaster@example.com"
Was this page helpful?